{% extends 'profile/layouts/base_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/navbar.html' %}
{% endblock navbar %}

{% block main %}
{% load static %}
{% load humanize %}
<main role="main">
    <div class="jumbotron bg-galeri-head text-putih text-center">
      <div class="container">
        <div class="row">
          <div class="col-md-12 mt-5 mb-auto">
            <h2 class="mt-3">{{title}} Merapi Trip</h2>
            <nav aria-label="breadcrumb">
              <ol class="breadcrumb justify-content-center">
                <li class="breadcrumb-item"><a href="{% url 'profile:home' %}">Beranda</a></li>
                <li class="breadcrumb-item active" aria-curent="page">{{title}}</li>
              </ol>
            </nav>
          </div>
        </div>
      </div>
    </div>

    <div class="container mt-5">
      <h5 id="kategori_berita">Daftar {{title}}</h5>
      <hr class="hr-sm mt-0 mb-2" align="left">

      <form class="clearfix">
        <div class="form-row align-items-center float-left">
          <div class="col-auto my-1">
            <h5 class="form-check-label text-muted">{{jml_dt}} Dokumen</h5>
          </div>
        </div>
        <div class="form-row align-items-center float-right">
          <div class="col-auto my-1">
            <label class="form-check-label text-muted">Filter Data</label>
          </div>
          <div class="col-auto my-1">
            <select class="form-control form-control-sm" id="filter_tanggal">
              <option selected value="all">-- Tanggal --</option>
              {% for dt in tgl_dt %}
              <option value="{{ dt.value }}">{{ dt.nama|date:"d M Y" }}</option>
              {% endfor %}
            </select>
          </div>
          <div class="col-auto my-1">
            <select class="form-control form-control-sm" id="filter_jenis">
              <option selected value="all">-- Jenis --</option>
              <option value="img">Gambar</option>
              <option value="pdf">PDF</option>
            </select>
          </div>
          <button type="button" class="btn btn-primary btn-sm" id="filter_all">Tampilkan Semua</button>
        </div>
      </form>

      {% if documents %}
        <div class="card-columns mt-4 mb-4">
        {% for dt in documents %}

          <div class="card {{dt.fil_date}} {{dt.jnsfl}}">
            <div class="card-body row">
              <div class="col-md-3 order-md-1">
                <img class="img-fluid mx-auto" src="{% static 'profile/images/front/' %}{{ dt.filex }}">
                <a class="btn btn-success btn-sm mt-3 mb-0" href="{{ dt.dokumen.url }}" target="_blank"> 
                  <i class="bi bi-download"></i> Unduh
                </a>
              </div>
              <div class="col-md-9 order-md-2">
                <h5 class="card-title text-primary mb-1">{{ dt.nama }}</h5>
                <div class="mb-1 text-muted lead-xs">{{ dt.created_by.first_name }} | {{ dt.created_at|date:"D, d M Y" }} - {{ dt.created_at|date:"H:i" }}</div>
                <p class="card-text lead-xs mb-1">{{ dt.keterangan }}</p>
                <p class="float-right mb-0"><small class="text-muted">{{ dt.created_at|naturaltime }}</small></p>
              </div>
            </div>
          </div>

        {% endfor %}
        </div>
        <div class="row">
            <div class="col-md-12 mt-3 mb-5">
                <div align="right">
                {% if documents.has_other_pages %}
                  <ul class="paginations">
                    {% if documents.has_previous %}
                      <li><a href="?page={{ documents.previous_page_number }}">«</a></li>
                    {% else %}
                      <li class="disabled"><span>«</span></li>
                    {% endif %}
                    {% for i in documents.paginator.page_range %}
                      {% if documents.number == i %}
                        <li class="inactive"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
                      {% else %}
                        <li><a href="?page={{ i }}">{{ i }}</a></li>
                      {% endif %}
                    {% endfor %}
                    {% if documents.has_next %}
                      <li><a href="?page={{ documents.next_page_number }}">»</a></li>
                    {% else %}
                      <li class="disabled"><span>»</span></li>
                    {% endif %}
                  </ul>
                {% endif %}
                </div>
            </div>
        </div>
      {% else %}
        <h4 class="mt-5">BELUM ADA DOKUMEN PUBLIKASI</h4>
      {% endif %}

      <div class="mt-5 mb-5 bg-white">
          <div class="container">
            <div class="row">
              <div class="col-md-12">
                <marquee class="marqueek" behavior="alternate" direction="left" scroll="" onmouseover="this.setAttribute('scrollamount', 0, 0);this.stop();" onmouseout="this.setAttribute('scrollamount', 3, 0);this.start();" scrollamount="3">
                    {% if runlink %}
                    {% for dt in runlink %}
                    <a href="{{dt.link}}" target="_blank">
                      {% if dt.images %}
                      <img src="{{dt.logo.url}}">
                      {% else %}
                      <img src="{% static 'profile/images/front/no_runninglink.png' %}">
                      {% endif %}
                    </a>
                    {% endfor %}
                    {% else %}
                    <h5>Belum Ada Konten</h5>
                    {% endif %}
                </marquee>
              </div>
            </div>
          </div>
      </div>

    </div>
</main>
{% endblock main %}

{% block footer %}
  {% include 'profile/layouts/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
  <script type="text/javascript">

    $(document).ready(function(){
      set_awal();
    });

    function set_awal(){
      $('#filter_tanggal').val('all');
      $('#filter_jenis').val('all');
      set_filter();
    };
    
    $('#filter_all').on('click', function(){ set_awal(); });
    $('#filter_tanggal').on('change', function(){ set_filter(); });
    $('#filter_jenis').on('change', function(){ set_filter(); });

    function set_filter(){
      var value_1 = $('#filter_tanggal').val();
      var value_2 = $('#filter_jenis').val();

      if(value_1 == "all" && value_2 == "all") {
        $('.card').show('1000');
      } else {
        var value_x = value_1 != "all" ? '.'+value_1 : '';
        var value_y = value_2 != "all" ? '.'+value_2 : '';

        $(".card").not(value_x+''+value_y).hide('3000');
        $('.card').filter(value_x+''+value_y).show('3000');
      } 

      return false;
    };

  </script>
{% endblock scripts_bawah %}